import usb
import os
import sys
from time import sleep

VENDOR_RQ_GET_SWITCH = 1
VENDOR_RQ_GET_LIGHT = 2

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
handle = board.open()
print "BRIGHTNESS MANUAL CONTROLLER"
degree = 1
a = raw_input("Would you like to start program? (y/n) : ")
if (a=='y'):
	#print "Hold switch to stop program"
	while(1):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        	z = handle.controlMsg(req,1,1)
		#print z[0]
        	b = z[0]
		if(b == 1):
                        degree+=1
			if(degree > 13):
				degree = 1	
			brightness = int(degree)
			os.system("echo -n %d > /proc/acpi/video/VGA/LCDD/brightness" %(brightness))
			os.system("grep ^current /proc/acpi/video/VGA/LCDD/brightness")
        		#sleep(3)
elif (a=='n'):
	sys.exit()

